# Makefile.in generated by automake 1.7.2 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision: 1.349.2.6 $ 
# @configure_input@

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
ACLOCAL = @ACLOCAL@
ALLOCA = @ALLOCA@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
ARTSCCONFIG = @ARTSCCONFIG@
AUTOCONF = @AUTOCONF@
AUTODIRS = @AUTODIRS@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CONF_FILES = @CONF_FILES@
CONVENIENCE_LTDL_FALSE = @CONVENIENCE_LTDL_FALSE@
CONVENIENCE_LTDL_TRUE = @CONVENIENCE_LTDL_TRUE@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DCOPIDL = @DCOPIDL@
DCOPIDL2CPP = @DCOPIDL2CPP@
DCOP_DEPENDENCIES = @DCOP_DEPENDENCIES@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DOJAVA_FALSE = @DOJAVA_FALSE@
DOJAVA_TRUE = @DOJAVA_TRUE@
DOXYGEN = @DOXYGEN@
DOXYGEN_PROJECT_NAME = @DOXYGEN_PROJECT_NAME@
DOXYGEN_PROJECT_NUMBER = @DOXYGEN_PROJECT_NUMBER@
DO_WE_HAVE_SSL = @DO_WE_HAVE_SSL@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
EXTRA_SUBDIRS = @EXTRA_SUBDIRS@
FRAMEWORK_COREAUDIO = @FRAMEWORK_COREAUDIO@
GMSGFMT = @GMSGFMT@
HAVE_MITSHM = @HAVE_MITSHM@
HELP_SUBDIR = @HELP_SUBDIR@
ICE_RLIB = @ICE_RLIB@
ICE_SUBDIR = @ICE_SUBDIR@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_LTDL_FALSE = @INSTALL_LTDL_FALSE@
INSTALL_LTDL_TRUE = @INSTALL_LTDL_TRUE@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
KDECONFIG = @KDECONFIG@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_FORCE_INLINE = @KDE_FORCE_INLINE@
KDE_HAS_DOXYGEN = @KDE_HAS_DOXYGEN@
KDE_HAVE_DOT = @KDE_HAVE_DOT@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_MT_LDFLAGS = @KDE_MT_LDFLAGS@
KDE_MT_LIBS = @KDE_MT_LIBS@
KDE_PLUGIN = @KDE_PLUGIN@
KDE_RPATH = @KDE_RPATH@
KDE_USE_CLOSURE_FALSE = @KDE_USE_CLOSURE_FALSE@
KDE_USE_CLOSURE_TRUE = @KDE_USE_CLOSURE_TRUE@
KDE_USE_FINAL_FALSE = @KDE_USE_FINAL_FALSE@
KDE_USE_FINAL_TRUE = @KDE_USE_FINAL_TRUE@
KDE_XSL_STYLESHEET = @KDE_XSL_STYLESHEET@
KJAVA_POLICYPATH = @KJAVA_POLICYPATH@
LDAP_INCS = @LDAP_INCS@
LDAP_LIBS = @LDAP_LIBS@
LDAP_RPATH = @LDAP_RPATH@
LDFLAGS = @LDFLAGS@
LIBADD_DL = @LIBADD_DL@
LIBART_CFLAGS = @LIBART_CFLAGS@
LIBART_LIBS = @LIBART_LIBS@
LIBART_RPATH = @LIBART_RPATH@
LIBASOUND = @LIBASOUND@
LIBBZ2 = @LIBBZ2@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBDL = @LIBDL@
LIBFAM = @LIBFAM@
LIBICE = @LIBICE@
LIBJPEG = @LIBJPEG@
LIBOBJS = @LIBOBJS@
LIBPCRE = @LIBPCRE@
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBRESOLV = @LIBRESOLV@
LIBS = @LIBS@
LIBSM = @LIBSM@
LIBSOCKET = @LIBSOCKET@
LIBSSL = @LIBSSL@
LIBTIFF = @LIBTIFF@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBUTIL = @LIBUTIL@
LIBVOLMGT = @LIBVOLMGT@
LIBXINERAMA = @LIBXINERAMA@
LIBXML_CFLAGS = @LIBXML_CFLAGS@
LIBXML_LIBS = @LIBXML_LIBS@
LIBXML_RPATH = @LIBXML_RPATH@
LIBXSLT_CFLAGS = @LIBXSLT_CFLAGS@
LIBXSLT_LIBS = @LIBXSLT_LIBS@
LIBXSLT_RPATH = @LIBXSLT_RPATH@
LIBZ = @LIBZ@
LIB_CUPS = @LIB_CUPS@
LIB_DMALLOC = @LIB_DMALLOC@
LIB_KAB = @LIB_KAB@
LIB_KABC = @LIB_KABC@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEPRINT = @LIB_KDEPRINT@
LIB_KDEUI = @LIB_KDEUI@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KHTML = @LIB_KHTML@
LIB_KIMGIO = @LIB_KIMGIO@
LIB_KIO = @LIB_KIO@
LIB_KPARTS = @LIB_KPARTS@
LIB_KSPELL = @LIB_KSPELL@
LIB_KSYCOCA = @LIB_KSYCOCA@
LIB_POLL = @LIB_POLL@
LIB_QPE = @LIB_QPE@
LIB_QT = @LIB_QT@
LIB_SMB = @LIB_SMB@
LIB_X11 = @LIB_X11@
LIB_XEXT = @LIB_XEXT@
LIB_XRENDER = @LIB_XRENDER@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MCOPIDL = @MCOPIDL@
MEINPROC = @MEINPROC@
MEINPROC_DEP = @MEINPROC_DEP@
MOC = @MOC@
MSGFMT = @MSGFMT@
NOOPT_CFLAGS = @NOOPT_CFLAGS@
NOOPT_CXXFLAGS = @NOOPT_CXXFLAGS@
NOREPO = @NOREPO@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PCRECFLAGS = @PCRECFLAGS@
PCSC_INCLUDES = @PCSC_INCLUDES@
PCSC_LDFLAGS = @PCSC_LDFLAGS@
QNAMESPACE_H = @QNAMESPACE_H@
QTDOCDIR = @QTDOCDIR@
QTE_NORTTI = @QTE_NORTTI@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
RANLIB = @RANLIB@
REPO = @REPO@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
SMARTCARDDIR = @SMARTCARDDIR@
SSL_INCLUDES = @SSL_INCLUDES@
SSL_LDFLAGS = @SSL_LDFLAGS@
STRIP = @STRIP@
TOPSUBDIRS = @TOPSUBDIRS@
UIC = @UIC@
UIC_TR = @UIC_TR@
USER_INCLUDES = @USER_INCLUDES@
USER_LDFLAGS = @USER_LDFLAGS@
USE_EXCEPTIONS = @USE_EXCEPTIONS@
USE_RTTI = @USE_RTTI@
USE_THREADS = @USE_THREADS@
VERSION = @VERSION@
WOVERLOADED_VIRTUAL = @WOVERLOADED_VIRTUAL@
XGETTEXT = @XGETTEXT@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
X_PRE_LIBS = @X_PRE_LIBS@
X_RPATH = @X_RPATH@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
all_includes = @all_includes@
all_libraries = @all_libraries@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__quote = @am__quote@
arts_SUBDIR_included_FALSE = @arts_SUBDIR_included_FALSE@
arts_SUBDIR_included_TRUE = @arts_SUBDIR_included_TRUE@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
cups_modeldir = @cups_modeldir@
datadir = $(kde_appsdir)/Settings/Components
dcop_SUBDIR_included_FALSE = @dcop_SUBDIR_included_FALSE@
dcop_SUBDIR_included_TRUE = @dcop_SUBDIR_included_TRUE@
doc_SUBDIR_included_FALSE = @doc_SUBDIR_included_FALSE@
doc_SUBDIR_included_TRUE = @doc_SUBDIR_included_TRUE@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
include_BZIP2_FALSE = @include_BZIP2_FALSE@
include_BZIP2_TRUE = @include_BZIP2_TRUE@
include_LDAP_FALSE = @include_LDAP_FALSE@
include_LDAP_TRUE = @include_LDAP_TRUE@
include_SVGICONS_FALSE = @include_SVGICONS_FALSE@
include_SVGICONS_TRUE = @include_SVGICONS_TRUE@
include_TIFF_MODULES_FALSE = @include_TIFF_MODULES_FALSE@
include_TIFF_MODULES_TRUE = @include_TIFF_MODULES_TRUE@
include_bzip2_FALSE = @include_bzip2_FALSE@
include_bzip2_TRUE = @include_bzip2_TRUE@
include_cups_SUBDIR_FALSE = @include_cups_SUBDIR_FALSE@
include_cups_SUBDIR_TRUE = @include_cups_SUBDIR_TRUE@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
interfaces_SUBDIR_included_FALSE = @interfaces_SUBDIR_included_FALSE@
interfaces_SUBDIR_included_TRUE = @interfaces_SUBDIR_included_TRUE@
kab_SUBDIR_included_FALSE = @kab_SUBDIR_included_FALSE@
kab_SUBDIR_included_TRUE = @kab_SUBDIR_included_TRUE@
kabc_SUBDIR_included_FALSE = @kabc_SUBDIR_included_FALSE@
kabc_SUBDIR_included_TRUE = @kabc_SUBDIR_included_TRUE@
kate_SUBDIR_included_FALSE = @kate_SUBDIR_included_FALSE@
kate_SUBDIR_included_TRUE = @kate_SUBDIR_included_TRUE@
kcert_SUBDIR_included_FALSE = @kcert_SUBDIR_included_FALSE@
kcert_SUBDIR_included_TRUE = @kcert_SUBDIR_included_TRUE@
kconf_update_SUBDIR_included_FALSE = @kconf_update_SUBDIR_included_FALSE@
kconf_update_SUBDIR_included_TRUE = @kconf_update_SUBDIR_included_TRUE@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_libraries = @kde_libraries@
kde_libs_htmldir = @kde_libs_htmldir@
kde_libs_prefix = @kde_libs_prefix@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_moduledir = @kde_moduledir@
kde_qtver = @kde_qtver@
kde_servicesdir = @kde_servicesdir@
kde_servicetypesdir = @kde_servicetypesdir@
kde_sounddir = @kde_sounddir@
kde_styledir = @kde_styledir@
kde_templatesdir = @kde_templatesdir@
kde_wallpaperdir = @kde_wallpaperdir@
kde_widgetdir = @kde_widgetdir@
kdecore_SUBDIR_included_FALSE = @kdecore_SUBDIR_included_FALSE@
kdecore_SUBDIR_included_TRUE = @kdecore_SUBDIR_included_TRUE@
kded_SUBDIR_included_FALSE = @kded_SUBDIR_included_FALSE@
kded_SUBDIR_included_TRUE = @kded_SUBDIR_included_TRUE@
kdefx_SUBDIR_included_FALSE = @kdefx_SUBDIR_included_FALSE@
kdefx_SUBDIR_included_TRUE = @kdefx_SUBDIR_included_TRUE@
kdeprint_SUBDIR_included_FALSE = @kdeprint_SUBDIR_included_FALSE@
kdeprint_SUBDIR_included_TRUE = @kdeprint_SUBDIR_included_TRUE@
kdesu_SUBDIR_included_FALSE = @kdesu_SUBDIR_included_FALSE@
kdesu_SUBDIR_included_TRUE = @kdesu_SUBDIR_included_TRUE@
kdeui_SUBDIR_included_FALSE = @kdeui_SUBDIR_included_FALSE@
kdeui_SUBDIR_included_TRUE = @kdeui_SUBDIR_included_TRUE@
kdewidgets_SUBDIR_included_FALSE = @kdewidgets_SUBDIR_included_FALSE@
kdewidgets_SUBDIR_included_TRUE = @kdewidgets_SUBDIR_included_TRUE@
kdoctools_SUBDIR_included_FALSE = @kdoctools_SUBDIR_included_FALSE@
kdoctools_SUBDIR_included_TRUE = @kdoctools_SUBDIR_included_TRUE@
khtml_SUBDIR_included_FALSE = @khtml_SUBDIR_included_FALSE@
khtml_SUBDIR_included_TRUE = @khtml_SUBDIR_included_TRUE@
kimgio_SUBDIR_included_FALSE = @kimgio_SUBDIR_included_FALSE@
kimgio_SUBDIR_included_TRUE = @kimgio_SUBDIR_included_TRUE@
kinit_SUBDIR_included_FALSE = @kinit_SUBDIR_included_FALSE@
kinit_SUBDIR_included_TRUE = @kinit_SUBDIR_included_TRUE@
kio_SUBDIR_included_FALSE = @kio_SUBDIR_included_FALSE@
kio_SUBDIR_included_TRUE = @kio_SUBDIR_included_TRUE@
kioslave_SUBDIR_included_FALSE = @kioslave_SUBDIR_included_FALSE@
kioslave_SUBDIR_included_TRUE = @kioslave_SUBDIR_included_TRUE@
kjs_SUBDIR_included_FALSE = @kjs_SUBDIR_included_FALSE@
kjs_SUBDIR_included_TRUE = @kjs_SUBDIR_included_TRUE@
kparts_SUBDIR_included_FALSE = @kparts_SUBDIR_included_FALSE@
kparts_SUBDIR_included_TRUE = @kparts_SUBDIR_included_TRUE@
ksmartcard_SUBDIR_included_FALSE = @ksmartcard_SUBDIR_included_FALSE@
ksmartcard_SUBDIR_included_TRUE = @ksmartcard_SUBDIR_included_TRUE@
kspell_SUBDIR_included_FALSE = @kspell_SUBDIR_included_FALSE@
kspell_SUBDIR_included_TRUE = @kspell_SUBDIR_included_TRUE@
kstyles_SUBDIR_included_FALSE = @kstyles_SUBDIR_included_FALSE@
kstyles_SUBDIR_included_TRUE = @kstyles_SUBDIR_included_TRUE@
kutils_SUBDIR_included_FALSE = @kutils_SUBDIR_included_FALSE@
kutils_SUBDIR_included_TRUE = @kutils_SUBDIR_included_TRUE@
kwallet_SUBDIR_included_FALSE = @kwallet_SUBDIR_included_FALSE@
kwallet_SUBDIR_included_TRUE = @kwallet_SUBDIR_included_TRUE@
libdir = @libdir@
libexecdir = @libexecdir@
libkmid_SUBDIR_included_FALSE = @libkmid_SUBDIR_included_FALSE@
libkmid_SUBDIR_included_TRUE = @libkmid_SUBDIR_included_TRUE@
libkscreensaver_SUBDIR_included_FALSE = @libkscreensaver_SUBDIR_included_FALSE@
libkscreensaver_SUBDIR_included_TRUE = @libkscreensaver_SUBDIR_included_TRUE@
libltdl_SUBDIR_included_FALSE = @libltdl_SUBDIR_included_FALSE@
libltdl_SUBDIR_included_TRUE = @libltdl_SUBDIR_included_TRUE@
licenses_SUBDIR_included_FALSE = @licenses_SUBDIR_included_FALSE@
licenses_SUBDIR_included_TRUE = @licenses_SUBDIR_included_TRUE@
localstatedir = @localstatedir@
mandir = @mandir@
mimetypes_SUBDIR_included_FALSE = @mimetypes_SUBDIR_included_FALSE@
mimetypes_SUBDIR_included_TRUE = @mimetypes_SUBDIR_included_TRUE@
oldincludedir = @oldincludedir@
path_su = @path_su@
pics_SUBDIR_included_FALSE = @pics_SUBDIR_included_FALSE@
pics_SUBDIR_included_TRUE = @pics_SUBDIR_included_TRUE@
prefix = @prefix@
program_transform_name = @program_transform_name@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@
x_includes = @x_includes@
x_libraries = @x_libraries@
SUBDIRS = vcard . formats plugins

INCLUDES = -I$(srcdir)/vcard/include -I$(srcdir)/vcard/include/generated \
  -I$(top_srcdir)/kabc -I$(top_srcdir)/kab $(all_includes)


lib_LTLIBRARIES = libkabc.la
libkabc_la_LDFLAGS = $(all_libraries) -no-undefined -version-info 2:0:1 -module
libkabc_la_LIBADD = vcard/libvcard.la ../kdeui/libkdeui.la ../kio/libkio.la

libkabc_la_SOURCES = \
  address.cpp addressbook.cpp addressee.cpp addresseedialog.cpp agent.cpp \
  distributionlist.cpp distributionlistdialog.cpp distributionlisteditor.cpp \
  errorhandler.cpp field.cpp formatfactory.cpp geo.cpp key.cpp phonenumber.cpp \
  picture.cpp plugin.cpp resource.cpp resourceconfigwidget.cpp \
  resourcefactory.cpp resourcefile.cpp resourcefileconfig.cpp \
  resourceselectdialog.cpp secrecy.cpp sound.cpp stdaddressbook.cpp \
  timezone.cpp vcard21parser.cpp vcardconverter.cpp vcardformat.cpp \
  vcardformatimpl.cpp vcardformatplugin.cpp addresslineedit.cpp ldapclient.cpp \
  addresseelist.cpp


kabcincludedir = $(includedir)/kabc
kabcinclude_HEADERS = address.h addressbook.h addressee.h addresseedialog.h \
  agent.h distributionlist.h distributionlistdialog.h distributionlisteditor.h \
  errorhandler.h field.h format.h formatfactory.h formatplugin.h geo.h key.h \
  phonenumber.h picture.h plugin.h resource.h resourcefile.h \
  resourceselectdialog.h secrecy.h sound.h stdaddressbook.h timezone.h \
  vcardconverter.h vcardformat.h vcardformatplugin.h addresslineedit.h \
  ldapclient.h addresseelist.h resourceconfigwidget.h


#>- METASOURCES = AUTO

bin_PROGRAMS = kab2kabc

kab2kabc_LDFLAGS = $(all_libraries) $(KDE_RPATH)
kab2kabc_LDADD = libkabc.la ../kab/libkab.la
kab2kabc_SOURCES = kab2kabc.cpp

EXTRA_PROGRAMS = testkabc testkabcdlg testdistlist bigread bigwrite testdb \
  testaddressee testaddresseelist kabcargl testaddresslineedit


testkabc_LDFLAGS = $(all_libraries) $(KDE_RPATH)
testkabc_LDADD = libkabc.la
testkabc_SOURCES = testkabc.cpp

testaddressee_LDFLAGS = $(all_libraries) $(KDE_RPATH)
testaddressee_LDADD = libkabc.la
testaddressee_SOURCES = testaddressee.cpp

testaddresseelist_LDFLAGS = $(all_libraries) $(KDE_RPATH)
testaddresseelist_LDADD = libkabc.la
testaddresseelist_SOURCES = testaddresseelist.cpp

testkabcdlg_LDFLAGS = $(all_libraries) $(KDE_RPATH)
testkabcdlg_LDADD = libkabc.la
testkabcdlg_SOURCES = testkabcdlg.cpp

testdistlist_LDFLAGS = $(all_libraries) $(KDE_RPATH)
testdistlist_LDADD = libkabc.la
testdistlist_SOURCES = testdistlist.cpp

testaddresslineedit_LDFLAGS = $(all_libraries) $(KDE_RPATH)
testaddresslineedit_LDADD = libkabc.la
testaddresslineedit_SOURCES = testaddresslineedit.cpp

bigread_LDFLAGS = $(all_libraries) $(KDE_RPATH)
bigread_LDADD = libkabc.la
bigread_SOURCES = bigread.cpp

bigwrite_LDFLAGS = $(all_libraries) $(KDE_RPATH)
bigwrite_LDADD = libkabc.la
bigwrite_SOURCES = bigwrite.cpp

testdb_LDFLAGS = $(all_libraries) $(KDE_RPATH)
testdb_LDADD = libkabc.la
testdb_SOURCES = testdb.cpp 

kabcargl_LDFLAGS = $(all_libraries) $(KDE_RPATH)
kabcargl_LDADD = libkabc.la
kabcargl_SOURCES = kabcargl.cpp

autostart_DATA = kab2kabc.desktop
autostartdir = $(prefix)/share/autostart

DOXYGEN_REFERENCES = kdecore kdeui

kde_module_LTLIBRARIES = kcm_kabc.la

kcm_kabc_la_SOURCES = kcmkabc.cpp resourceconfigdlg.cpp
kcm_kabc_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined
kcm_kabc_la_LIBADD = $(LIB_KIO) libkabc.la

data_DATA = kabc.desktop

EXTRA_DIST = $(data_DATA)
subdir = kabc
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(kde_module_LTLIBRARIES) $(lib_LTLIBRARIES)

kcm_kabc_la_DEPENDENCIES = libkabc.la
am_kcm_kabc_la_OBJECTS = kcmkabc.lo resourceconfigdlg.lo
#>- kcm_kabc_la_OBJECTS = $(am_kcm_kabc_la_OBJECTS)
#>+ 4
kcm_kabc_la_final_OBJECTS = kcm_kabc_la.all_cpp.lo 
kcm_kabc_la_nofinal_OBJECTS = kcmkabc.lo resourceconfigdlg.lo
@KDE_USE_FINAL_FALSE@kcm_kabc_la_OBJECTS = $(kcm_kabc_la_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@kcm_kabc_la_OBJECTS = $(kcm_kabc_la_final_OBJECTS)
libkabc_la_DEPENDENCIES = vcard/libvcard.la ../kdeui/libkdeui.la \
	../kio/libkio.la
am_libkabc_la_OBJECTS = address.lo addressbook.lo addressee.lo \
	addresseedialog.lo agent.lo distributionlist.lo \
	distributionlistdialog.lo distributionlisteditor.lo \
	errorhandler.lo field.lo formatfactory.lo geo.lo key.lo \
	phonenumber.lo picture.lo plugin.lo resource.lo \
	resourceconfigwidget.lo resourcefactory.lo resourcefile.lo \
	resourcefileconfig.lo resourceselectdialog.lo secrecy.lo \
	sound.lo stdaddressbook.lo timezone.lo vcard21parser.lo \
	vcardconverter.lo vcardformat.lo vcardformatimpl.lo \
	vcardformatplugin.lo addresslineedit.lo ldapclient.lo \
	addresseelist.lo
#>- libkabc_la_OBJECTS = $(am_libkabc_la_OBJECTS)
#>+ 14
libkabc_la_final_OBJECTS = libkabc_la.all_cpp.lo 
libkabc_la_nofinal_OBJECTS = address.lo addressbook.lo addressee.lo \
	addresseedialog.lo agent.lo distributionlist.lo \
	distributionlistdialog.lo distributionlisteditor.lo \
	errorhandler.lo field.lo formatfactory.lo geo.lo key.lo \
	phonenumber.lo picture.lo plugin.lo resource.lo \
	resourceconfigwidget.lo resourcefactory.lo resourcefile.lo \
	resourcefileconfig.lo resourceselectdialog.lo secrecy.lo \
	sound.lo stdaddressbook.lo timezone.lo vcard21parser.lo \
	vcardconverter.lo vcardformat.lo vcardformatimpl.lo \
	vcardformatplugin.lo addresslineedit.lo ldapclient.lo \
	addresseelist.lo
@KDE_USE_FINAL_FALSE@libkabc_la_OBJECTS = $(libkabc_la_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@libkabc_la_OBJECTS = $(libkabc_la_final_OBJECTS)
EXTRA_PROGRAMS = testkabc$(EXEEXT) testkabcdlg$(EXEEXT) \
	testdistlist$(EXEEXT) bigread$(EXEEXT) bigwrite$(EXEEXT) \
	testdb$(EXEEXT) testaddressee$(EXEEXT) \
	testaddresseelist$(EXEEXT) kabcargl$(EXEEXT) \
	testaddresslineedit$(EXEEXT)
bin_PROGRAMS = kab2kabc$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS)

am_bigread_OBJECTS = bigread.$(OBJEXT)
#>- bigread_OBJECTS = $(am_bigread_OBJECTS)
#>+ 1
bigread_OBJECTS = bigread.$(OBJEXT)
bigread_DEPENDENCIES = libkabc.la
am_bigwrite_OBJECTS = bigwrite.$(OBJEXT)
#>- bigwrite_OBJECTS = $(am_bigwrite_OBJECTS)
#>+ 1
bigwrite_OBJECTS = bigwrite.$(OBJEXT)
bigwrite_DEPENDENCIES = libkabc.la
am_kab2kabc_OBJECTS = kab2kabc.$(OBJEXT)
#>- kab2kabc_OBJECTS = $(am_kab2kabc_OBJECTS)
#>+ 1
kab2kabc_OBJECTS = kab2kabc.$(OBJEXT)
kab2kabc_DEPENDENCIES = libkabc.la ../kab/libkab.la
am_kabcargl_OBJECTS = kabcargl.$(OBJEXT)
#>- kabcargl_OBJECTS = $(am_kabcargl_OBJECTS)
#>+ 1
kabcargl_OBJECTS = kabcargl.$(OBJEXT)
kabcargl_DEPENDENCIES = libkabc.la
am_testaddressee_OBJECTS = testaddressee.$(OBJEXT)
#>- testaddressee_OBJECTS = $(am_testaddressee_OBJECTS)
#>+ 1
testaddressee_OBJECTS = testaddressee.$(OBJEXT)
testaddressee_DEPENDENCIES = libkabc.la
am_testaddresseelist_OBJECTS = testaddresseelist.$(OBJEXT)
#>- testaddresseelist_OBJECTS = $(am_testaddresseelist_OBJECTS)
#>+ 1
testaddresseelist_OBJECTS = testaddresseelist.$(OBJEXT)
testaddresseelist_DEPENDENCIES = libkabc.la
am_testaddresslineedit_OBJECTS = testaddresslineedit.$(OBJEXT)
#>- testaddresslineedit_OBJECTS = $(am_testaddresslineedit_OBJECTS)
#>+ 1
testaddresslineedit_OBJECTS = testaddresslineedit.$(OBJEXT)
testaddresslineedit_DEPENDENCIES = libkabc.la
am_testdb_OBJECTS = testdb.$(OBJEXT)
#>- testdb_OBJECTS = $(am_testdb_OBJECTS)
#>+ 1
testdb_OBJECTS = testdb.$(OBJEXT)
testdb_DEPENDENCIES = libkabc.la
am_testdistlist_OBJECTS = testdistlist.$(OBJEXT)
#>- testdistlist_OBJECTS = $(am_testdistlist_OBJECTS)
#>+ 1
testdistlist_OBJECTS = testdistlist.$(OBJEXT)
testdistlist_DEPENDENCIES = libkabc.la
am_testkabc_OBJECTS = testkabc.$(OBJEXT)
#>- testkabc_OBJECTS = $(am_testkabc_OBJECTS)
#>+ 1
testkabc_OBJECTS = testkabc.$(OBJEXT)
testkabc_DEPENDENCIES = libkabc.la
am_testkabcdlg_OBJECTS = testkabcdlg.$(OBJEXT)
#>- testkabcdlg_OBJECTS = $(am_testkabcdlg_OBJECTS)
#>+ 1
testkabcdlg_OBJECTS = testkabcdlg.$(OBJEXT)
testkabcdlg_DEPENDENCIES = libkabc.la

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
am__depfiles_maybe = depfiles
#>- @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/address.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/addressbook.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/addressee.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/addresseedialog.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/addresseelist.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/addresslineedit.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/agent.Plo ./$(DEPDIR)/bigread.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/bigwrite.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/distributionlist.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/distributionlistdialog.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/distributionlisteditor.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/errorhandler.Plo ./$(DEPDIR)/field.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/formatfactory.Plo ./$(DEPDIR)/geo.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kab2kabc.Po ./$(DEPDIR)/kabcargl.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kcmkabc.Plo ./$(DEPDIR)/key.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/ldapclient.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/phonenumber.Plo ./$(DEPDIR)/picture.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/plugin.Plo ./$(DEPDIR)/resource.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/resourceconfigdlg.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/resourceconfigwidget.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/resourcefactory.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/resourcefile.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/resourcefileconfig.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/resourceselectdialog.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/secrecy.Plo ./$(DEPDIR)/sound.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/stdaddressbook.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/testaddressee.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/testaddresseelist.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/testaddresslineedit.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/testdb.Po ./$(DEPDIR)/testdistlist.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/testkabc.Po ./$(DEPDIR)/testkabcdlg.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/timezone.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/vcard21parser.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/vcardconverter.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/vcardformat.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/vcardformatimpl.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/vcardformatplugin.Plo
#>+ 75
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@DEP_FILES =   $(DEPDIR)/kcm_kabc_la.all_cpp.P $(DEPDIR)/libkabc_la.all_cpp.P  ./$(DEPDIR)/address.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/addressbook.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/addressee.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/addresseedialog.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/addresseelist.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/addresslineedit.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/agent.Plo ./$(DEPDIR)/bigread.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/bigwrite.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/distributionlist.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/distributionlistdialog.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/distributionlisteditor.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/errorhandler.Plo ./$(DEPDIR)/field.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/formatfactory.Plo ./$(DEPDIR)/geo.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kab2kabc.Po ./$(DEPDIR)/kabcargl.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kcmkabc.Plo ./$(DEPDIR)/key.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/ldapclient.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/phonenumber.Plo ./$(DEPDIR)/picture.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/plugin.Plo ./$(DEPDIR)/resource.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/resourceconfigdlg.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/resourceconfigwidget.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/resourcefactory.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/resourcefile.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/resourcefileconfig.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/resourceselectdialog.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/secrecy.Plo ./$(DEPDIR)/sound.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/stdaddressbook.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/testaddressee.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/testaddresseelist.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/testaddresslineedit.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/testdb.Po ./$(DEPDIR)/testdistlist.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/testkabc.Po ./$(DEPDIR)/testkabcdlg.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/timezone.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/vcard21parser.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/vcardconverter.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/vcardformat.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/vcardformatimpl.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/vcardformatplugin.Plo
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@DEP_FILES =   ./$(DEPDIR)/address.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/addressbook.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/addressee.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/addresseedialog.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/addresseelist.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/addresslineedit.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/agent.Plo ./$(DEPDIR)/bigread.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/bigwrite.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/distributionlist.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/distributionlistdialog.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/distributionlisteditor.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/errorhandler.Plo ./$(DEPDIR)/field.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/formatfactory.Plo ./$(DEPDIR)/geo.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kab2kabc.Po ./$(DEPDIR)/kabcargl.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kcmkabc.Plo ./$(DEPDIR)/key.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/ldapclient.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/phonenumber.Plo ./$(DEPDIR)/picture.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/plugin.Plo ./$(DEPDIR)/resource.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/resourceconfigdlg.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/resourceconfigwidget.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/resourcefactory.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/resourcefile.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/resourcefileconfig.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/resourceselectdialog.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/secrecy.Plo ./$(DEPDIR)/sound.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/stdaddressbook.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/testaddressee.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/testaddresseelist.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/testaddresslineedit.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/testdb.Po ./$(DEPDIR)/testdistlist.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/testkabc.Po ./$(DEPDIR)/testkabcdlg.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/timezone.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/vcard21parser.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/vcardconverter.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/vcardformat.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/vcardformatimpl.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/vcardformatplugin.Plo

#>- CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
#>- 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 2
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
#>- 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
#>- 	$(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 3
LTCXXCOMPILE = $(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
#>- 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
#>+ 2
CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(kcm_kabc_la_SOURCES) $(libkabc_la_SOURCES) \
	$(bigread_SOURCES) $(bigwrite_SOURCES) $(kab2kabc_SOURCES) \
	$(kabcargl_SOURCES) $(testaddressee_SOURCES) \
	$(testaddresseelist_SOURCES) $(testaddresslineedit_SOURCES) \
	$(testdb_SOURCES) $(testdistlist_SOURCES) $(testkabc_SOURCES) \
	$(testkabcdlg_SOURCES)
DATA = $(autostart_DATA) $(data_DATA)

HEADERS = $(kabcinclude_HEADERS)


RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \
	ps-recursive install-info-recursive uninstall-info-recursive \
	all-recursive install-data-recursive install-exec-recursive \
	installdirs-recursive install-recursive uninstall-recursive \
	check-recursive installcheck-recursive
DIST_COMMON = README $(kabcinclude_HEADERS) \
	$(srcdir)/../admin/Doxyfile.am Makefile.am Makefile.in TODO
DIST_SUBDIRS = $(SUBDIRS)
SOURCES = $(kcm_kabc_la_SOURCES) $(libkabc_la_SOURCES) $(bigread_SOURCES) $(bigwrite_SOURCES) $(kab2kabc_SOURCES) $(kabcargl_SOURCES) $(testaddressee_SOURCES) $(testaddresseelist_SOURCES) $(testaddresslineedit_SOURCES) $(testdb_SOURCES) $(testdistlist_SOURCES) $(testkabc_SOURCES) $(testkabcdlg_SOURCES)

#>- all: all-recursive
#>+ 1
all: docs-am  all-recursive

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in:  Makefile.am $(srcdir)/../admin/Doxyfile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --foreign  kabc/Makefile
#>+ 3
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  kabc/Makefile
	cd $(top_srcdir) && perl admin/am_edit kabc/Makefile.in
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
kde_moduleLTLIBRARIES_INSTALL = $(INSTALL)
install-kde_moduleLTLIBRARIES: $(kde_module_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(kde_moduledir)
	@list='$(kde_module_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(kde_moduleLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(kde_moduledir)/$$f"; \
	    $(LIBTOOL) --mode=install $(kde_moduleLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(kde_moduledir)/$$f; \
	  else :; fi; \
	done

uninstall-kde_moduleLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(kde_module_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(kde_moduledir)/$$p"; \
	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(kde_moduledir)/$$p; \
	done

clean-kde_moduleLTLIBRARIES:
	-test -z "$(kde_module_LTLIBRARIES)" || rm -f $(kde_module_LTLIBRARIES)
	@list='$(kde_module_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libLTLIBRARIES_INSTALL = $(INSTALL)
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f"; \
	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p"; \
	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
#>- kcm_kabc.la: $(kcm_kabc_la_OBJECTS) $(kcm_kabc_la_DEPENDENCIES) 
#>+ 2
@KDE_USE_CLOSURE_TRUE@kcm_kabc.la: kcm_kabc.la.closure $(kcm_kabc_la_OBJECTS) $(kcm_kabc_la_DEPENDENCIES) 
@KDE_USE_CLOSURE_FALSE@kcm_kabc.la: $(kcm_kabc_la_OBJECTS) $(kcm_kabc_la_DEPENDENCIES) 
	$(CXXLINK) -rpath $(kde_moduledir) $(kcm_kabc_la_LDFLAGS) $(kcm_kabc_la_OBJECTS) $(kcm_kabc_la_LIBADD) $(LIBS)
#>- libkabc.la: $(libkabc_la_OBJECTS) $(libkabc_la_DEPENDENCIES) 
#>+ 2
@KDE_USE_CLOSURE_TRUE@libkabc.la: libkabc.la.closure $(libkabc_la_OBJECTS) $(libkabc_la_DEPENDENCIES) 
@KDE_USE_CLOSURE_FALSE@libkabc.la: $(libkabc_la_OBJECTS) $(libkabc_la_DEPENDENCIES) 
	$(CXXLINK) -rpath $(libdir) $(libkabc_la_LDFLAGS) $(libkabc_la_OBJECTS) $(libkabc_la_LIBADD) $(LIBS)
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	     || test -f $$p1 \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f"; \
	   $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f $(DESTDIR)$(bindir)/$$f"; \
	  rm -f $(DESTDIR)$(bindir)/$$f; \
	done

clean-binPROGRAMS:
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
bigread$(EXEEXT): $(bigread_OBJECTS) $(bigread_DEPENDENCIES) 
	@rm -f bigread$(EXEEXT)
	$(CXXLINK) $(bigread_LDFLAGS) $(bigread_OBJECTS) $(bigread_LDADD) $(LIBS)
bigwrite$(EXEEXT): $(bigwrite_OBJECTS) $(bigwrite_DEPENDENCIES) 
	@rm -f bigwrite$(EXEEXT)
	$(CXXLINK) $(bigwrite_LDFLAGS) $(bigwrite_OBJECTS) $(bigwrite_LDADD) $(LIBS)
kab2kabc$(EXEEXT): $(kab2kabc_OBJECTS) $(kab2kabc_DEPENDENCIES) 
	@rm -f kab2kabc$(EXEEXT)
	$(CXXLINK) $(kab2kabc_LDFLAGS) $(kab2kabc_OBJECTS) $(kab2kabc_LDADD) $(LIBS)
kabcargl$(EXEEXT): $(kabcargl_OBJECTS) $(kabcargl_DEPENDENCIES) 
	@rm -f kabcargl$(EXEEXT)
	$(CXXLINK) $(kabcargl_LDFLAGS) $(kabcargl_OBJECTS) $(kabcargl_LDADD) $(LIBS)
testaddressee$(EXEEXT): $(testaddressee_OBJECTS) $(testaddressee_DEPENDENCIES) 
	@rm -f testaddressee$(EXEEXT)
	$(CXXLINK) $(testaddressee_LDFLAGS) $(testaddressee_OBJECTS) $(testaddressee_LDADD) $(LIBS)
testaddresseelist$(EXEEXT): $(testaddresseelist_OBJECTS) $(testaddresseelist_DEPENDENCIES) 
	@rm -f testaddresseelist$(EXEEXT)
	$(CXXLINK) $(testaddresseelist_LDFLAGS) $(testaddresseelist_OBJECTS) $(testaddresseelist_LDADD) $(LIBS)
testaddresslineedit$(EXEEXT): $(testaddresslineedit_OBJECTS) $(testaddresslineedit_DEPENDENCIES) 
	@rm -f testaddresslineedit$(EXEEXT)
	$(CXXLINK) $(testaddresslineedit_LDFLAGS) $(testaddresslineedit_OBJECTS) $(testaddresslineedit_LDADD) $(LIBS)
testdb$(EXEEXT): $(testdb_OBJECTS) $(testdb_DEPENDENCIES) 
	@rm -f testdb$(EXEEXT)
	$(CXXLINK) $(testdb_LDFLAGS) $(testdb_OBJECTS) $(testdb_LDADD) $(LIBS)
testdistlist$(EXEEXT): $(testdistlist_OBJECTS) $(testdistlist_DEPENDENCIES) 
	@rm -f testdistlist$(EXEEXT)
	$(CXXLINK) $(testdistlist_LDFLAGS) $(testdistlist_OBJECTS) $(testdistlist_LDADD) $(LIBS)
testkabc$(EXEEXT): $(testkabc_OBJECTS) $(testkabc_DEPENDENCIES) 
	@rm -f testkabc$(EXEEXT)
	$(CXXLINK) $(testkabc_LDFLAGS) $(testkabc_OBJECTS) $(testkabc_LDADD) $(LIBS)
testkabcdlg$(EXEEXT): $(testkabcdlg_OBJECTS) $(testkabcdlg_DEPENDENCIES) 
	@rm -f testkabcdlg$(EXEEXT)
	$(CXXLINK) $(testkabcdlg_LDFLAGS) $(testkabcdlg_OBJECTS) $(testkabcdlg_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/address.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/addressbook.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/addressee.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/addresseedialog.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/addresseelist.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/addresslineedit.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/agent.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bigread.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bigwrite.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/distributionlist.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/distributionlistdialog.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/distributionlisteditor.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/errorhandler.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/field.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/formatfactory.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/geo.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kab2kabc.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kabcargl.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kcmkabc.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/key.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ldapclient.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/phonenumber.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/picture.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/plugin.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/resource.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/resourceconfigdlg.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/resourceconfigwidget.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/resourcefactory.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/resourcefile.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/resourcefileconfig.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/resourceselectdialog.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/secrecy.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sound.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stdaddressbook.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testaddressee.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testaddresseelist.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testaddresslineedit.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testdb.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testdistlist.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testkabc.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testkabcdlg.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/timezone.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vcard21parser.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vcardconverter.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vcardformat.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vcardformatimpl.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vcardformatplugin.Plo@am__quote@

distclean-depend:
	-rm -rf ./$(DEPDIR)

.cpp.o:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cpp.obj:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.cpp.lo:
@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
autostartDATA_INSTALL = $(INSTALL_DATA)
install-autostartDATA: $(autostart_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(autostartdir)
	@list='$(autostart_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(autostartDATA_INSTALL) $$d$$p $(DESTDIR)$(autostartdir)/$$f"; \
	  $(autostartDATA_INSTALL) $$d$$p $(DESTDIR)$(autostartdir)/$$f; \
	done

uninstall-autostartDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(autostart_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(autostartdir)/$$f"; \
	  rm -f $(DESTDIR)$(autostartdir)/$$f; \
	done
dataDATA_INSTALL = $(INSTALL_DATA)
install-dataDATA: $(data_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(datadir)
	@list='$(data_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(dataDATA_INSTALL) $$d$$p $(DESTDIR)$(datadir)/$$f"; \
	  $(dataDATA_INSTALL) $$d$$p $(DESTDIR)$(datadir)/$$f; \
	done

uninstall-dataDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(data_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(datadir)/$$f"; \
	  rm -f $(DESTDIR)$(datadir)/$$f; \
	done
kabcincludeHEADERS_INSTALL = $(INSTALL_HEADER)
install-kabcincludeHEADERS: $(kabcinclude_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(kabcincludedir)
	@list='$(kabcinclude_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(kabcincludeHEADERS_INSTALL) $$d$$p $(DESTDIR)$(kabcincludedir)/$$f"; \
	  $(kabcincludeHEADERS_INSTALL) $$d$$p $(DESTDIR)$(kabcincludedir)/$$f; \
	done

uninstall-kabcincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(kabcinclude_HEADERS)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(kabcincludedir)/$$f"; \
	  rm -f $(DESTDIR)$(kabcincludedir)/$$f; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 4
KDE_DIST=simpleformat.h vcard21parser.h HACKING resourceconfigdlg.h resourcefileconfig.h kcmkabc.h resourcefactory.h kabc.desktop simpleformat.cpp vcardformatimpl.h kab2kabc.desktop 

DISTFILES= $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)


top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	$(mkinstalldirs) $(distdir)/./../admin
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$(top_distdir)" \
	        distdir=../$(distdir)/$$subdir \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-recursive
all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(DATA) $(HEADERS)
install-binPROGRAMS: install-libLTLIBRARIES

installdirs: installdirs-recursive
installdirs-am:
	$(mkinstalldirs) $(DESTDIR)$(kde_moduledir) $(DESTDIR)$(libdir) $(DESTDIR)$(bindir) $(DESTDIR)$(autostartdir) $(DESTDIR)$(datadir) $(DESTDIR)$(kabcincludedir)

install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
#>- clean: clean-recursive
#>+ 1
clean: kde-rpo-clean  clean-recursive

#>- clean-am: clean-binPROGRAMS clean-generic clean-kde_moduleLTLIBRARIES \
#>- 	clean-libLTLIBRARIES clean-libtool mostlyclean-am
#>+ 2
clean-am: clean-metasources clean-closures clean-final  clean-binPROGRAMS clean-generic clean-kde_moduleLTLIBRARIES \
	clean-libLTLIBRARIES clean-libtool mostlyclean-am

distclean: distclean-recursive

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-recursive

dvi-am:

info: info-recursive

info-am:

#>- install-data-am: install-autostartDATA install-data-local \
#>- 	install-dataDATA install-kabcincludeHEADERS \
#>- 	install-kde_moduleLTLIBRARIES
#>+ 3
install-data-am:   install-autostartDATA install-data-local \
	install-dataDATA install-kabcincludeHEADERS \
 

#>- install-exec-am: install-binPROGRAMS install-libLTLIBRARIES
#>+ 1
install-exec-am:  install-binPROGRAMS install-libLTLIBRARIES install-kde_moduleLTLIBRARIES

install-info: install-info-recursive

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-recursive

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am: uninstall-autostartDATA uninstall-binPROGRAMS \
	uninstall-dataDATA uninstall-info-am \
	uninstall-kabcincludeHEADERS uninstall-kde_moduleLTLIBRARIES \
	uninstall-libLTLIBRARIES uninstall-local

uninstall-info: uninstall-info-recursive

.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am clean \
	clean-binPROGRAMS clean-generic clean-kde_moduleLTLIBRARIES \
	clean-libLTLIBRARIES clean-libtool clean-recursive ctags \
	ctags-recursive distclean distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-recursive \
	distclean-tags distdir dvi dvi-am dvi-recursive info info-am \
	info-recursive install install-am install-autostartDATA \
	install-binPROGRAMS install-data install-data-am \
	install-data-local install-data-recursive install-dataDATA \
	install-exec install-exec-am install-exec-recursive \
	install-info install-info-am install-info-recursive \
	install-kabcincludeHEADERS install-kde_moduleLTLIBRARIES \
	install-libLTLIBRARIES install-man install-recursive \
	install-strip installcheck installcheck-am installdirs \
	installdirs-am installdirs-recursive maintainer-clean \
	maintainer-clean-generic maintainer-clean-recursive mostlyclean \
	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
	mostlyclean-recursive pdf pdf-am pdf-recursive ps ps-am \
	ps-recursive tags tags-recursive uninstall uninstall-am \
	uninstall-autostartDATA uninstall-binPROGRAMS \
	uninstall-dataDATA uninstall-info-am uninstall-info-recursive \
	uninstall-kabcincludeHEADERS uninstall-kde_moduleLTLIBRARIES \
	uninstall-libLTLIBRARIES uninstall-local uninstall-recursive

apidox-am-yes:
	@if test "$(subdir)" != "."; then \
		$(mkinstalldirs) $(top_builddir)/apidocs/$(subdir) ;\
		if test ! -x $(top_builddir)/apidocs/common; then \
			if test -d $(top_srcdir)/doc/common; then \
			   common_dir=`cd $(top_srcdir)/doc/common && pwd` ;\
			else \
	   		   common_dir=$(kde_libs_htmldir)/en/common ;\
			fi ;\
			$(LN_S) $$common_dir $(top_builddir)/apidocs/common; \
		fi ;\
		cp $(top_srcdir)/admin/Doxyfile.global Doxyfile; \
		echo "PROJECT_NAME           = \"$(subdir) Library\"" >> Doxyfile; \
		echo "PROJECT_NUMBER         = \"Version $(VERSION)\"" >> Doxyfile; \
		echo "INPUT                  = $(srcdir)" >> Doxyfile; \
		echo "IMAGE_PATH             = $(top_srcdir)/doc/api" >> Doxyfile ;\
		echo "OUTPUT_DIRECTORY       = $(top_builddir)/apidocs" >> Doxyfile; \
		echo "HTML_OUTPUT            = $(subdir)/html" >> Doxyfile; \
		echo "LATEX_OUTPUT           = $(subdir)/latex" >> Doxyfile; \
		echo "RTF_OUTPUT             = $(subdir)/rtf" >> Doxyfile; \
		echo "MAN_OUTPUT             = $(subdir)/man" >> Doxyfile; \
		echo "GENERATE_HTML          = $(GENERATE_FLAG)" >> Doxyfile ;\
		echo "GENERATE_MAN          = $(GENERATE_FLAG)" >> Doxyfile ;\
		echo "GENERATE_LATEX          = $(GENERATE_FLAG)" >> Doxyfile ;\
		if test -n "$(DOXYGEN_EXCLUDE)"; then \
			echo "EXCLUDE_PATTERNS      += $(DOXYGEN_EXCLUDE)" >> Doxyfile; \
		fi ;\
		echo "TAGFILES = \\" >> Doxyfile; \
		tags='$(DOXYGEN_REFERENCES) qt'; for tag in $$tags; do \
			tagpath= ;\
			path="../../$$tag" ;\
			if test -f $(top_builddir)/apidocs/$$tag/$$tag.tag; then \
				tagpath="$(top_builddir)/apidocs/$$tag/$$tag.tag" ;\
			else \
				tagpath=`ls -1 $(kde_htmldir)/en/*-apidocs/$$tag/$$tag.tag 2> /dev/null` ;\
				if test -n "$$tagpath"; then \
					path=`echo $$tagpath | sed -e "s,.*/\([^/]*-apidocs\)/$$tag/$$tag.tag,../../../\1/$$tag,"` ;\
				fi ;\
			fi ;\
			if test "$$tag" = qt; then \
				echo $$tagpath=$(QTDOCDIR) >> Doxyfile ;\
			else if test -n "$$tagpath"; then \
				echo "$$tagpath=$$path/html \\" >> Doxyfile ;\
			    fi ;\
			fi ;\
		done ;\
		echo "GENERATE_TAGFILE       = $(top_builddir)/apidocs/$(subdir)/$(subdir).tag" >> Doxyfile ;\
		echo "IGNORE_PREFIX          = K" >> Doxyfile ;\
		echo "HAVE_DOT = $(KDE_HAVE_DOT)" >> Doxyfile ;\
		$(DOXYGEN) Doxyfile ;\
	fi

apidox-am-no:

install-data-local: install-apidox

install-apidox:
	@if test "$(subdir)" != "."; then \
		$(mkinstalldirs) $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir)/html ; \
		if test -f $(top_builddir)/apidocs/$(subdir)/$(subdir).tag; then \
		echo $(INSTALL_DATA) $(top_builddir)/apidocs/$(subdir)/$(subdir).tag $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir); \
		$(INSTALL_DATA) $(top_builddir)/apidocs/$(subdir)/$(subdir).tag $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir); \
		fi; \
		if test -d $(top_builddir)/apidocs/$(subdir)/html; then \
			list=`ls $(top_builddir)/apidocs/$(subdir)/html`; \
			for file in $$list; do \
				echo $(INSTALL_DATA) $(top_builddir)/apidocs/$(subdir)/html/$$file $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir)/html; \
					$(INSTALL_DATA) $(top_builddir)/apidocs/$(subdir)/html/$$file $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir)/html; \
		done; \
		fi; \
		rm -f $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/common; \
		$(LN_S) $(kde_libs_htmldir)/en/common $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/common; \
	else\
		if test -d $(top_builddir)/apidocs; then \
		$(mkinstalldirs) $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs ;\
		list=`cd $(top_builddir)/apidocs && ls -1`; \
		for file in $$list; do \
			if test -f $(top_builddir)/apidocs/$$file; then \
				echo $(INSTALL_DATA) $(top_builddir)/apidocs/$$file $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs; \
				$(INSTALL_DATA) $(top_builddir)/apidocs/$$file $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs; \
			fi; \
		done ; fi; \
	fi

uninstall-local: uninstall-apidox

uninstall-apidox:
	@if test "$(subdir)" != "."; then \
		if test -d $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir); then \
			rm -rfv $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir); \
		fi\
	else\
		if test -d $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs; then \
			rm -rfv $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs; \
		fi\
	fi

apidox:
	@if test "$(subdir)" != "."; then \
		$(MAKE) apidox-am-@KDE_HAS_DOXYGEN@ ;\
	else \
		$(MAKE) apidox-am-toplevel-@KDE_HAS_DOXYGEN@ ;\
	fi
	@set fnord $(MAKEFLAGS); amf=$$2; if test -n '$(SUBDIRS)'; then \
	    list='$(SUBDIRS)'; \
	    for subdir in $$list; do \
		if grep '^include .*Doxyfile.am' $(srcdir)/$$subdir/Makefile.am; then \
		echo "Making apidox in $$subdir"; \
		if test "$$subdir" != "."; then \
			(cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) GENERATE_FLAG=no apidox) || exit 1; \
		fi ; fi ;\
	    done; \
	    for subdir in $$list; do \
		if grep '^include .*Doxyfile.am' $(srcdir)/$$subdir/Makefile.am; then \
		echo "Making apidox in $$subdir"; \
		if test "$$subdir" != "."; then \
			(cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) GENERATE_FLAG=yes apidox) || exit 1; \
		fi ; fi ;\
	    done; \
	fi

apidox-am-toplevel-no:
apidox-am-toplevel-yes:
	@echo "*** Creating API documentation main page"; \
	cp $(top_srcdir)/admin/Doxyfile.global Doxyfile; \
	echo "PROJECT_NAME           = $(DOXYGEN_PROJECT_NAME)" >> Doxyfile ; \
	echo "PROJECT_NUMBER         = $(DOXYGEN_PROJECT_NUMBER)" >> Doxyfile ; \
	echo "INPUT                  = $(top_srcdir)" >> Doxyfile ; \
	echo "OUTPUT_DIRECTORY       = $(top_builddir)/apidocs" >> Doxyfile ; \
	echo "FILE_PATTERNS          = *.dox" >> Doxyfile ; \
	echo "RECURSIVE              = NO" >> Doxyfile ; \
	echo "SOURCE_BROWSER         = NO" >> Doxyfile ; \
	echo "ALPHABETICAL_INDEX     = NO" >> Doxyfile ; \
	echo "HTML_OUTPUT            = ." >> Doxyfile ; \
	echo "HTML_HEADER            = apidocs/common/mainheader.html" >> Doxyfile ; \
	echo "HTML_FOOTER            = apidocs/common/mainfooter.html" >> Doxyfile ; \
	echo "HTML_STYLESHEET        = apidocs/common/doxygen.css" >> Doxyfile ; \
	echo "GENERATE_LATEX         = NO" >> Doxyfile ; \
	echo "GENERATE_RTF           = NO" >> Doxyfile ; \
	echo "GENERATE_MAN           = NO" >> Doxyfile ; \
	echo "GENERATE_XML           = NO" >> Doxyfile ; \
	echo "GENERATE_AUTOGEN_DEF   = NO" >> Doxyfile ; \
	echo "ENABLE_PREPROCESSING   = NO" >> Doxyfile ; \
	echo "CLASS_DIAGRAMS         = NO" >> Doxyfile ; \
	echo "HAVE_DOT               = NO" >> Doxyfile ; \
	echo "GENERATE_HTML          = YES" >> Doxyfile ;\
	$(mkinstalldirs) $(top_builddir)/apidocs ; \
	rm -f $(top_builddir)/apidocs/common ; \
	if test -d $(top_srcdir)/doc/common; then \
	   common_dir=`cd $(top_srcdir)/doc/common && pwd` ;\
	else \
	   common_dir=$(kde_libs_htmldir)/en/common ;\
	fi ;\
	$(LN_S) $$common_dir $(top_builddir)/apidocs/common ;\
	doxygen Doxyfile; \
	rm -f Doxyfile

# Local Variables:
# mode: makefile
# End:
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 8
kcm_kabc.la.closure: $(kcm_kabc_la_OBJECTS) $(kcm_kabc_la_DEPENDENCIES)
	@echo "int main() {return 0;}" > kcm_kabc_la_closure.cpp
	@$(LTCXXCOMPILE) -c kcm_kabc_la_closure.cpp
	$(CXXLINK) kcm_kabc_la_closure.lo $(kcm_kabc_la_LDFLAGS) $(kcm_kabc_la_OBJECTS) $(kcm_kabc_la_LIBADD) $(LIBS)
	@rm -f kcm_kabc_la_closure.* kcm_kabc.la.closure
	@echo "timestamp" > kcm_kabc.la.closure


#>+ 3
resourceconfigwidget.moc: $(srcdir)/resourceconfigwidget.h
	$(MOC) $(srcdir)/resourceconfigwidget.h -o resourceconfigwidget.moc

#>+ 1
mocs: resourceconfigwidget.moc
#>+ 3
resourceselectdialog.moc: $(srcdir)/resourceselectdialog.h
	$(MOC) $(srcdir)/resourceselectdialog.h -o resourceselectdialog.moc

#>+ 1
mocs: resourceselectdialog.moc
#>+ 3
addressbook.moc: $(srcdir)/addressbook.h
	$(MOC) $(srcdir)/addressbook.h -o addressbook.moc

#>+ 1
mocs: addressbook.moc
#>+ 3
resourcefileconfig.moc: $(srcdir)/resourcefileconfig.h
	$(MOC) $(srcdir)/resourcefileconfig.h -o resourcefileconfig.moc

#>+ 1
mocs: resourcefileconfig.moc
#>+ 3
distributionlisteditor.moc: $(srcdir)/distributionlisteditor.h
	$(MOC) $(srcdir)/distributionlisteditor.h -o distributionlisteditor.moc

#>+ 1
mocs: distributionlisteditor.moc
#>+ 3
addresslineedit.moc: $(srcdir)/addresslineedit.h
	$(MOC) $(srcdir)/addresslineedit.h -o addresslineedit.moc

#>+ 1
mocs: addresslineedit.moc
#>+ 3
addresseedialog.moc: $(srcdir)/addresseedialog.h
	$(MOC) $(srcdir)/addresseedialog.h -o addresseedialog.moc

#>+ 1
mocs: addresseedialog.moc
#>+ 3
distributionlistdialog.moc: $(srcdir)/distributionlistdialog.h
	$(MOC) $(srcdir)/distributionlistdialog.h -o distributionlistdialog.moc

#>+ 1
mocs: distributionlistdialog.moc
#>+ 3
resourceconfigdlg.moc: $(srcdir)/resourceconfigdlg.h
	$(MOC) $(srcdir)/resourceconfigdlg.h -o resourceconfigdlg.moc

#>+ 1
mocs: resourceconfigdlg.moc
#>+ 3
kcmkabc.moc: $(srcdir)/kcmkabc.h
	$(MOC) $(srcdir)/kcmkabc.h -o kcmkabc.moc

#>+ 1
mocs: kcmkabc.moc
#>+ 3
ldapclient.moc: $(srcdir)/ldapclient.h
	$(MOC) $(srcdir)/ldapclient.h -o ldapclient.moc

#>+ 1
mocs: ldapclient.moc
#>+ 3
resourcefile.moc: $(srcdir)/resourcefile.h
	$(MOC) $(srcdir)/resourcefile.h -o resourcefile.moc

#>+ 1
mocs: resourcefile.moc
#>+ 3
distributionlist.moc: $(srcdir)/distributionlist.h
	$(MOC) $(srcdir)/distributionlist.h -o distributionlist.moc

#>+ 1
mocs: distributionlist.moc
#>+ 8
libkabc.la.closure: $(libkabc_la_OBJECTS) $(libkabc_la_DEPENDENCIES)
	@echo "int main() {return 0;}" > libkabc_la_closure.cpp
	@$(LTCXXCOMPILE) -c libkabc_la_closure.cpp
	$(CXXLINK) libkabc_la_closure.lo $(libkabc_la_LDFLAGS) $(libkabc_la_OBJECTS) $(libkabc_la_LIBADD) $(LIBS)
	@rm -f libkabc_la_closure.* libkabc.la.closure
	@echo "timestamp" > libkabc.la.closure


#>+ 3
clean-metasources:
	-rm -f  resourceconfigwidget.moc resourceselectdialog.moc addressbook.moc resourcefileconfig.moc distributionlisteditor.moc addresslineedit.moc addresseedialog.moc distributionlistdialog.moc resourceconfigdlg.moc kcmkabc.moc ldapclient.moc resourcefile.moc distributionlist.moc

#>+ 3
clean-closures:
	-rm -f  kcm_kabc.la.closure libkabc.la.closure

#>+ 2
docs-am:

#>+ 6
force-reedit:
		cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  kabc/Makefile
	cd $(top_srcdir) && perl admin/am_edit kabc/Makefile.in


#>+ 11
kcm_kabc_la.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/kcmkabc.cpp $(srcdir)/resourceconfigdlg.cpp  resourceconfigdlg.moc kcmkabc.moc
	@echo 'creating kcm_kabc_la.all_cpp.cpp ...'; \
	rm -f kcm_kabc_la.all_cpp.files kcm_kabc_la.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> kcm_kabc_la.all_cpp.final; \
	for file in kcmkabc.cpp resourceconfigdlg.cpp ; do \
	  echo "#include \"$$file\"" >> kcm_kabc_la.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> kcm_kabc_la.all_cpp.final; \
	done; \
	cat kcm_kabc_la.all_cpp.final kcm_kabc_la.all_cpp.files > kcm_kabc_la.all_cpp.cpp; \
	rm -f kcm_kabc_la.all_cpp.final kcm_kabc_la.all_cpp.files

#>+ 11
libkabc_la.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/address.cpp $(srcdir)/addressbook.cpp $(srcdir)/addressee.cpp $(srcdir)/addresseedialog.cpp $(srcdir)/agent.cpp $(srcdir)/distributionlist.cpp $(srcdir)/distributionlistdialog.cpp $(srcdir)/distributionlisteditor.cpp $(srcdir)/errorhandler.cpp $(srcdir)/field.cpp $(srcdir)/formatfactory.cpp $(srcdir)/geo.cpp $(srcdir)/key.cpp $(srcdir)/phonenumber.cpp $(srcdir)/picture.cpp $(srcdir)/plugin.cpp $(srcdir)/resource.cpp $(srcdir)/resourceconfigwidget.cpp $(srcdir)/resourcefactory.cpp $(srcdir)/resourcefile.cpp $(srcdir)/resourcefileconfig.cpp $(srcdir)/resourceselectdialog.cpp $(srcdir)/secrecy.cpp $(srcdir)/sound.cpp $(srcdir)/stdaddressbook.cpp $(srcdir)/timezone.cpp $(srcdir)/vcard21parser.cpp $(srcdir)/vcardconverter.cpp $(srcdir)/vcardformat.cpp $(srcdir)/vcardformatimpl.cpp $(srcdir)/vcardformatplugin.cpp $(srcdir)/addresslineedit.cpp $(srcdir)/ldapclient.cpp $(srcdir)/addresseelist.cpp  resourceconfigwidget.moc resourceselectdialog.moc addressbook.moc distributionlisteditor.moc resourcefileconfig.moc addresslineedit.moc addresseedialog.moc distributionlistdialog.moc ldapclient.moc resourcefile.moc distributionlist.moc
	@echo 'creating libkabc_la.all_cpp.cpp ...'; \
	rm -f libkabc_la.all_cpp.files libkabc_la.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> libkabc_la.all_cpp.final; \
	for file in address.cpp addressbook.cpp addressee.cpp addresseedialog.cpp agent.cpp distributionlist.cpp distributionlistdialog.cpp distributionlisteditor.cpp errorhandler.cpp field.cpp formatfactory.cpp geo.cpp key.cpp phonenumber.cpp picture.cpp plugin.cpp resource.cpp resourceconfigwidget.cpp resourcefactory.cpp resourcefile.cpp resourcefileconfig.cpp resourceselectdialog.cpp secrecy.cpp sound.cpp stdaddressbook.cpp timezone.cpp vcard21parser.cpp vcardconverter.cpp vcardformat.cpp vcardformatimpl.cpp vcardformatplugin.cpp addresslineedit.cpp ldapclient.cpp addresseelist.cpp ; do \
	  echo "#include \"$$file\"" >> libkabc_la.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> libkabc_la.all_cpp.final; \
	done; \
	cat libkabc_la.all_cpp.final libkabc_la.all_cpp.files > libkabc_la.all_cpp.cpp; \
	rm -f libkabc_la.all_cpp.final libkabc_la.all_cpp.files

#>+ 3
clean-final:
	-rm -f kcm_kabc_la.all_cpp.cpp libkabc_la.all_cpp.cpp

#>+ 2
final:
	$(MAKE) kcm_kabc_la_OBJECTS="$(kcm_kabc_la_final_OBJECTS)" libkabc_la_OBJECTS="$(libkabc_la_final_OBJECTS)" all-am
#>+ 2
final-install:
	$(MAKE) kcm_kabc_la_OBJECTS="$(kcm_kabc_la_final_OBJECTS)" libkabc_la_OBJECTS="$(libkabc_la_final_OBJECTS)" install-am
#>+ 2
no-final:
	$(MAKE) kcm_kabc_la_OBJECTS="$(kcm_kabc_la_nofinal_OBJECTS)" libkabc_la_OBJECTS="$(libkabc_la_nofinal_OBJECTS)" all-am
#>+ 2
no-final-install:
	$(MAKE) kcm_kabc_la_OBJECTS="$(kcm_kabc_la_nofinal_OBJECTS)" libkabc_la_OBJECTS="$(libkabc_la_nofinal_OBJECTS)" install-am
#>+ 3
cvs-clean:
	$(MAKE) admindir=$(top_srcdir)/admin -f $(top_srcdir)/admin/Makefile.common cvs-clean

#>+ 3
kde-rpo-clean:
	-rm -f *.rpo

#>+ 27
distributionlistdialog.lo: distributionlistdialog.moc 
addressbook.lo: addressbook.moc 
resourcefileconfig.o: resourcefileconfig.moc 
resourceselectdialog.lo: resourceselectdialog.moc 
resourceconfigdlg.o: resourceconfigdlg.moc 
resourceselectdialog.o: resourceselectdialog.moc 
resourcefile.lo: resourcefile.moc 
distributionlisteditor.lo: distributionlisteditor.moc 
resourceconfigwidget.lo: resourceconfigwidget.moc 
kcmkabc.o: kcmkabc.moc 
addresseedialog.o: addresseedialog.moc 
distributionlistdialog.o: distributionlistdialog.moc 
distributionlist.o: distributionlist.moc 
resourcefile.o: resourcefile.moc 
resourceconfigdlg.lo: resourceconfigdlg.moc 
distributionlist.lo: distributionlist.moc 
addresseedialog.lo: addresseedialog.moc 
addresslineedit.o: addresslineedit.moc 
kcmkabc.lo: kcmkabc.moc 
resourceconfigwidget.o: resourceconfigwidget.moc 
resourcefileconfig.lo: resourcefileconfig.moc 
distributionlisteditor.o: distributionlisteditor.moc 
ldapclient.o: ldapclient.moc 
addresslineedit.lo: addresslineedit.moc 
ldapclient.lo: ldapclient.moc 
addressbook.o: addressbook.moc 
